<?php

namespace Lean\Console\Controller;

use League\Route\Router;
use Picea\{FileFetcher, Picea, Caching\Opcache, Extension\UrlExtension, Ui\Method\FormHandler};
use Psr\Http\Message\{ ResponseInterface, ServerRequestInterface };
use Lean\Console\{ Form, Lib };
use Notes\Tell\Attribute\Language, Notes\Route\Attribute\Method\Route;

class Caching extends Console {
    use Lib\ConsoleControllerTrait;

    #[Route(route: "/caching/picea", name: "lean.console:caching")]
    public function picea(ServerRequestInterface $request, array $arguments) : ResponseInterface
    {
        $list = [];

        if ( isset($this->picea) ) {
            new FormHandler($request, new Form\Caching\Picea($this->picea, $list), $this->pushContext(new Lib\FormContext($request, "caching.picea")));
        }

        return $this->renderView("lean-console/page/caching/picea", get_defined_vars());
    }
}